> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/deployed-contracts/return-deployed-contract-data",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Return deployed contract data

> Return deployed contract data by blockchain native asset id and contract address



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/contracts/{assetId}/{contractAddress}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/contracts/{assetId}/{contractAddress}:
    get:
      tags:
        - Deployed Contracts
      summary: Return deployed contract data
      description: >-
        Return deployed contract data by blockchain native asset id and contract
        address
      operationId: getDeployedContractByAddress
      parameters:
        - name: contractAddress
          required: true
          in: path
          description: The contract's onchain address
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
          schema:
            type: string
        - name: assetId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeployedContractResponseDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<DeployedContractResponseDto>> =
            fireblocks.deployedContracts.getDeployedContractByAddress(deployedContractsApiGetDeployedContractByAddressRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<DeployedContractResponseDto>> response
            =
            fireblocks.deployedContracts().getDeployedContractByAddress(contractAddress,
            assetId);
        - lang: Python
          source: >-
            response =
            fireblocks.deployed_contracts.get_deployed_contract_by_address(contract_address,
            asset_id);
components:
  schemas:
    DeployedContractResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The deployed contract data identifier
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        contractAddress:
          type: string
          description: The contract's onchain address
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
        contractTemplateId:
          type: string
          description: The contract template identifier
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        vaultAccountId:
          type: string
          example: '0'
          description: The vault account id this contract was deploy from
        blockchainId:
          type: string
        baseAssetId:
          type: string
          description: The blockchain base assetId
          example: ETH_TEST5
        gaslessConfig:
          $ref: '#/components/schemas/GasslessStandardConfigurations'
        multichainDeploymentMetadata:
          $ref: '#/components/schemas/MultichainDeploymentMetadata'
        solanaConfig:
          $ref: '#/components/schemas/SolanaConfig'
      required:
        - id
        - contractAddress
        - contractTemplateId
        - blockchainId
    GasslessStandardConfigurations:
      type: object
      description: The gasless configuration of the contract
      properties:
        gaslessStandardConfigurations:
          type: object
          additionalProperties:
            type: object
            properties:
              lastOnChainCheck:
                type: string
                format: date-time
                example: '2024-09-09T04:17:46.918Z'
              forwarderAddresses:
                type: array
                items:
                  type: string
                  example: '0x2E7B54631e18E9eEcc2eb5219249cc8388586f66'
    MultichainDeploymentMetadata:
      type: object
      description: The multichain deployment metadata
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the deployment metadata
        address:
          type: string
          description: The address of the deployed contract
          example: '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
        templateId:
          type: string
          format: uuid
          description: The unique identifier of the contract template
          example: 0e4f5a3b-924e-7bb9-8e5b-c748270feb38
        deploymentSalt:
          type: string
          description: The salt used for the deployment
          example: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef'
        initParams:
          $ref: '#/components/schemas/ParameterWithValueList'
        encodedInitParams:
          type: string
          description: The encoded init params
          example: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef'
    SolanaConfig:
      type: object
      description: The Solana configuration of the contract
      properties:
        extensions:
          type: array
          items:
            type: string
          example:
            - metadataPointer
            - transferHook
          description: The extensions that the contract implements.
        type:
          type: string
          enum:
            - SPL
            - TOKEN2022
            - PROGRAM
          example: TOKEN2022
          description: The type of the contract.
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    ParameterWithValueList:
      type: array
      items:
        $ref: '#/components/schemas/ParameterWithValue'
    ParameterWithValue:
      type: object
      properties:
        name:
          type: string
          example: _name
          description: The name of the parameter as it appears in the ABI
        description:
          type: string
          example: The name of the token
          description: >-
            A description of the parameter, fetched from the devdoc of this
            contract
        internalType:
          type: string
          example: string
          description: The  internal type of the parameter as it appears in the ABI
        type:
          type: string
          example: string
          description: The type of the parameter as it appears in the ABI
        components:
          type: array
          items:
            $ref: '#/components/schemas/Parameter'
        value:
          example: 'true'
          description: The value of the parameter. can also be ParameterWithValue
          type: string
        functionValue:
          description: >-
            The function value of this param (if has one). If this is set, the
            `value` shouldn`t be. Used for proxies
          allOf:
            - $ref: '#/components/schemas/LeanAbiFunction'
      required:
        - name
        - type
    Parameter:
      type: object
      properties:
        name:
          type: string
          example: _name
          description: The name of the parameter as it appears in the ABI
        description:
          type: string
          example: The name of the token
          description: >-
            A description of the parameter, fetched from the devdoc of this
            contract
        internalType:
          type: string
          example: string
          description: The internal type of the parameter as it appears in the ABI
        type:
          type: string
          example: string
          description: The type of the parameter as it appears in the ABI
        components:
          type: array
          items:
            $ref: '#/components/schemas/Parameter'
      required:
        - name
        - type
    LeanAbiFunction:
      type: object
      properties:
        name:
          type: string
          example: initialize
          description: The function name
        inputs:
          description: The function inputs
          type: array
          items:
            $ref: '#/components/schemas/ParameterWithValue'
        outputs:
          description: The function outputs
          type: array
          items:
            $ref: '#/components/schemas/ParameterWithValue'
        stateMutability:
          type: string
          enum:
            - view
            - pure
            - nonpayable
            - payable
          example: nonpayable
          description: >-
            The state mutability of the function (e.g., view, pure, nonpayable,
            payable)
      required:
        - inputs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````